]> git.proxmox.com Git - pve-cluster.git/blob - data/Makefile.in
508f0c3307b31e5c3c4ddb5b7a16d66fedb73733
[pve-cluster.git] / data / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18 am__make_running_with_option = \
19 case $${target_option-} in \
20 ?) ;; \
21 *) echo "am__make_running_with_option: internal error: invalid" \
22 "target option '$${target_option-}' specified" >&2; \
23 exit 1;; \
24 esac; \
25 has_opt=no; \
26 sane_makeflags=$$MAKEFLAGS; \
27 if $(am__is_gnu_make); then \
28 sane_makeflags=$$MFLAGS; \
29 else \
30 case $$MAKEFLAGS in \
31 *\\[\ \ ]*) \
32 bs=\\; \
33 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
35 esac; \
36 fi; \
37 skip_next=no; \
38 strip_trailopt () \
39 { \
40 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41 }; \
42 for flg in $$sane_makeflags; do \
43 test $$skip_next = yes && { skip_next=no; continue; }; \
44 case $$flg in \
45 *=*|--*) continue;; \
46 -*I) strip_trailopt 'I'; skip_next=yes;; \
47 -*I?*) strip_trailopt 'I';; \
48 -*O) strip_trailopt 'O'; skip_next=yes;; \
49 -*O?*) strip_trailopt 'O';; \
50 -*l) strip_trailopt 'l'; skip_next=yes;; \
51 -*l?*) strip_trailopt 'l';; \
52 -[dEDm]) skip_next=yes;; \
53 -[JT]) skip_next=yes;; \
54 esac; \
55 case $$flg in \
56 *$$target_option*) has_opt=yes; break;; \
57 esac; \
58 done; \
59 test $$has_opt = yes
60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62 pkgdatadir = $(datadir)/@PACKAGE@
63 pkgincludedir = $(includedir)/@PACKAGE@
64 pkglibdir = $(libdir)/@PACKAGE@
65 pkglibexecdir = $(libexecdir)/@PACKAGE@
66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67 install_sh_DATA = $(install_sh) -c -m 644
68 install_sh_PROGRAM = $(install_sh) -c
69 install_sh_SCRIPT = $(install_sh) -c
70 INSTALL_HEADER = $(INSTALL_DATA)
71 transform = $(program_transform_name)
72 NORMAL_INSTALL = :
73 PRE_INSTALL = :
74 POST_INSTALL = :
75 NORMAL_UNINSTALL = :
76 PRE_UNINSTALL = :
77 POST_UNINSTALL = :
78 subdir = .
79 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
80 $(top_srcdir)/configure $(am__configure_deps) \
81 $(srcdir)/config.h.in AUTHORS ChangeLog README ar-lib compile \
82 depcomp install-sh missing
83 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
84 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
85 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
86 $(ACLOCAL_M4)
87 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
88 configure.lineno config.status.lineno
89 mkinstalldirs = $(install_sh) -d
90 CONFIG_HEADER = config.h
91 CONFIG_CLEAN_FILES =
92 CONFIG_CLEAN_VPATH_FILES =
93 AM_V_P = $(am__v_P_@AM_V@)
94 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
95 am__v_P_0 = false
96 am__v_P_1 = :
97 AM_V_GEN = $(am__v_GEN_@AM_V@)
98 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
99 am__v_GEN_0 = @echo " GEN " $@;
100 am__v_GEN_1 =
101 AM_V_at = $(am__v_at_@AM_V@)
102 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
103 am__v_at_0 = @
104 am__v_at_1 =
105 SOURCES =
106 DIST_SOURCES =
107 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
108 ctags-recursive dvi-recursive html-recursive info-recursive \
109 install-data-recursive install-dvi-recursive \
110 install-exec-recursive install-html-recursive \
111 install-info-recursive install-pdf-recursive \
112 install-ps-recursive install-recursive installcheck-recursive \
113 installdirs-recursive pdf-recursive ps-recursive \
114 tags-recursive uninstall-recursive
115 am__can_run_installinfo = \
116 case $$AM_UPDATE_INFO_DIR in \
117 n|no|NO) false;; \
118 *) (install-info --version) >/dev/null 2>&1;; \
119 esac
120 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
121 distclean-recursive maintainer-clean-recursive
122 am__recursive_targets = \
123 $(RECURSIVE_TARGETS) \
124 $(RECURSIVE_CLEAN_TARGETS) \
125 $(am__extra_recursive_targets)
126 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
127 cscope distdir dist dist-all distcheck
128 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
129 $(LISP)config.h.in
130 # Read a list of newline-separated strings from the standard input,
131 # and print each of them once, without duplicates. Input order is
132 # *not* preserved.
133 am__uniquify_input = $(AWK) '\
134 BEGIN { nonempty = 0; } \
135 { items[$$0] = 1; nonempty = 1; } \
136 END { if (nonempty) { for (i in items) print i; }; } \
137 '
138 # Make sure the list of sources is unique. This is necessary because,
139 # e.g., the same source file might be shared among _SOURCES variables
140 # for different programs/libraries.
141 am__define_uniq_tagged_files = \
142 list='$(am__tagged_files)'; \
143 unique=`for i in $$list; do \
144 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
145 done | $(am__uniquify_input)`
146 ETAGS = etags
147 CTAGS = ctags
148 CSCOPE = cscope
149 DIST_SUBDIRS = $(SUBDIRS)
150 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
151 distdir = $(PACKAGE)-$(VERSION)
152 top_distdir = $(distdir)
153 am__remove_distdir = \
154 if test -d "$(distdir)"; then \
155 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
156 && rm -rf "$(distdir)" \
157 || { sleep 5 && rm -rf "$(distdir)"; }; \
158 else :; fi
159 am__post_remove_distdir = $(am__remove_distdir)
160 am__relativize = \
161 dir0=`pwd`; \
162 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
163 sed_rest='s,^[^/]*/*,,'; \
164 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
165 sed_butlast='s,/*[^/]*$$,,'; \
166 while test -n "$$dir1"; do \
167 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
168 if test "$$first" != "."; then \
169 if test "$$first" = ".."; then \
170 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
171 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
172 else \
173 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
174 if test "$$first2" = "$$first"; then \
175 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
176 else \
177 dir2="../$$dir2"; \
178 fi; \
179 dir0="$$dir0"/"$$first"; \
180 fi; \
181 fi; \
182 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
183 done; \
184 reldir="$$dir2"
185 DIST_ARCHIVES = $(distdir).tar.gz
186 GZIP_ENV = --best
187 DIST_TARGETS = dist-gzip
188 distuninstallcheck_listfiles = find . -type f -print
189 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
190 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
191 distcleancheck_listfiles = find . -type f -print
192 ACLOCAL = @ACLOCAL@
193 AMTAR = @AMTAR@
194 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
195 AR = @AR@
196 AUTOCONF = @AUTOCONF@
197 AUTOHEADER = @AUTOHEADER@
198 AUTOMAKE = @AUTOMAKE@
199 AWK = @AWK@
200 CC = @CC@
201 CCDEPMODE = @CCDEPMODE@
202 CFLAGS = @CFLAGS@
203 CHECK_CFLAGS = @CHECK_CFLAGS@
204 CHECK_LIBS = @CHECK_LIBS@
205 COROSYNC_CFLAGS = @COROSYNC_CFLAGS@
206 COROSYNC_LIBS = @COROSYNC_LIBS@
207 CPP = @CPP@
208 CPPFLAGS = @CPPFLAGS@
209 CYGPATH_W = @CYGPATH_W@
210 DEFS = @DEFS@
211 DEPDIR = @DEPDIR@
212 ECHO_C = @ECHO_C@
213 ECHO_N = @ECHO_N@
214 ECHO_T = @ECHO_T@
215 EGREP = @EGREP@
216 EXEEXT = @EXEEXT@
217 FUSE_CFLAGS = @FUSE_CFLAGS@
218 FUSE_LIBS = @FUSE_LIBS@
219 GLIB_CFLAGS = @GLIB_CFLAGS@
220 GLIB_LIBS = @GLIB_LIBS@
221 GREP = @GREP@
222 INSTALL = @INSTALL@
223 INSTALL_DATA = @INSTALL_DATA@
224 INSTALL_PROGRAM = @INSTALL_PROGRAM@
225 INSTALL_SCRIPT = @INSTALL_SCRIPT@
226 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
227 LDFLAGS = @LDFLAGS@
228 LIBOBJS = @LIBOBJS@
229 LIBRRD_CFLAGS = @LIBRRD_CFLAGS@
230 LIBRRD_LIBS = @LIBRRD_LIBS@
231 LIBS = @LIBS@
232 LTLIBOBJS = @LTLIBOBJS@
233 MAINT = @MAINT@
234 MAKEINFO = @MAKEINFO@
235 MKDIR_P = @MKDIR_P@
236 OBJEXT = @OBJEXT@
237 PACKAGE = @PACKAGE@
238 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
239 PACKAGE_NAME = @PACKAGE_NAME@
240 PACKAGE_STRING = @PACKAGE_STRING@
241 PACKAGE_TARNAME = @PACKAGE_TARNAME@
242 PACKAGE_URL = @PACKAGE_URL@
243 PACKAGE_VERSION = @PACKAGE_VERSION@
244 PATH_SEPARATOR = @PATH_SEPARATOR@
245 PERL = @PERL@
246 PERL_INC = @PERL_INC@
247 PERL_INSTALLARCHLIB = @PERL_INSTALLARCHLIB@
248 PERL_VENDORLIB = @PERL_VENDORLIB@
249 PKG_CONFIG = @PKG_CONFIG@
250 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
251 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
252 QB_CFLAGS = @QB_CFLAGS@
253 QB_LIBS = @QB_LIBS@
254 RANLIB = @RANLIB@
255 SET_MAKE = @SET_MAKE@
256 SHELL = @SHELL@
257 SQLITE3_CFLAGS = @SQLITE3_CFLAGS@
258 SQLITE3_LIBS = @SQLITE3_LIBS@
259 STRIP = @STRIP@
260 VERSION = @VERSION@
261 abs_builddir = @abs_builddir@
262 abs_srcdir = @abs_srcdir@
263 abs_top_builddir = @abs_top_builddir@
264 abs_top_srcdir = @abs_top_srcdir@
265 ac_ct_AR = @ac_ct_AR@
266 ac_ct_CC = @ac_ct_CC@
267 am__include = @am__include@
268 am__leading_dot = @am__leading_dot@
269 am__quote = @am__quote@
270 am__tar = @am__tar@
271 am__untar = @am__untar@
272 bindir = @bindir@
273 build_alias = @build_alias@
274 builddir = @builddir@
275 datadir = @datadir@
276 datarootdir = @datarootdir@
277 docdir = @docdir@
278 dvidir = @dvidir@
279 exec_prefix = @exec_prefix@
280 host_alias = @host_alias@
281 htmldir = @htmldir@
282 includedir = @includedir@
283 infodir = @infodir@
284 install_sh = @install_sh@
285 libdir = @libdir@
286 libexecdir = @libexecdir@
287 localedir = @localedir@
288 localstatedir = @localstatedir@
289 mandir = @mandir@
290 mkdir_p = @mkdir_p@
291 oldincludedir = @oldincludedir@
292 pdfdir = @pdfdir@
293 prefix = @prefix@
294 program_transform_name = @program_transform_name@
295 psdir = @psdir@
296 sbindir = @sbindir@
297 sharedstatedir = @sharedstatedir@
298 srcdir = @srcdir@
299 sysconfdir = @sysconfdir@
300 target_alias = @target_alias@
301 top_build_prefix = @top_build_prefix@
302 top_builddir = @top_builddir@
303 top_srcdir = @top_srcdir@
304 SUBDIRS = src PVE
305 CLEANFILES = *~
306 all: config.h
307 $(MAKE) $(AM_MAKEFLAGS) all-recursive
308
309 .SUFFIXES:
310 am--refresh: Makefile
311 @:
312 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
313 @for dep in $?; do \
314 case '$(am__configure_deps)' in \
315 *$$dep*) \
316 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
317 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
318 && exit 0; \
319 exit 1;; \
320 esac; \
321 done; \
322 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
323 $(am__cd) $(top_srcdir) && \
324 $(AUTOMAKE) --foreign Makefile
325 .PRECIOUS: Makefile
326 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
327 @case '$?' in \
328 *config.status*) \
329 echo ' $(SHELL) ./config.status'; \
330 $(SHELL) ./config.status;; \
331 *) \
332 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
333 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
334 esac;
335
336 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
337 $(SHELL) ./config.status --recheck
338
339 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
340 $(am__cd) $(srcdir) && $(AUTOCONF)
341 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
342 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
343 $(am__aclocal_m4_deps):
344
345 config.h: stamp-h1
346 @test -f $@ || rm -f stamp-h1
347 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
348
349 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
350 @rm -f stamp-h1
351 cd $(top_builddir) && $(SHELL) ./config.status config.h
352 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
353 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
354 rm -f stamp-h1
355 touch $@
356
357 distclean-hdr:
358 -rm -f config.h stamp-h1
359
360 # This directory's subdirectories are mostly independent; you can cd
361 # into them and run 'make' without going through this Makefile.
362 # To change the values of 'make' variables: instead of editing Makefiles,
363 # (1) if the variable is set in 'config.status', edit 'config.status'
364 # (which will cause the Makefiles to be regenerated when you run 'make');
365 # (2) otherwise, pass the desired values on the 'make' command line.
366 $(am__recursive_targets):
367 @fail=; \
368 if $(am__make_keepgoing); then \
369 failcom='fail=yes'; \
370 else \
371 failcom='exit 1'; \
372 fi; \
373 dot_seen=no; \
374 target=`echo $@ | sed s/-recursive//`; \
375 case "$@" in \
376 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
377 *) list='$(SUBDIRS)' ;; \
378 esac; \
379 for subdir in $$list; do \
380 echo "Making $$target in $$subdir"; \
381 if test "$$subdir" = "."; then \
382 dot_seen=yes; \
383 local_target="$$target-am"; \
384 else \
385 local_target="$$target"; \
386 fi; \
387 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
388 || eval $$failcom; \
389 done; \
390 if test "$$dot_seen" = "no"; then \
391 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
392 fi; test -z "$$fail"
393
394 ID: $(am__tagged_files)
395 $(am__define_uniq_tagged_files); mkid -fID $$unique
396 tags: tags-recursive
397 TAGS: tags
398
399 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
400 set x; \
401 here=`pwd`; \
402 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
403 include_option=--etags-include; \
404 empty_fix=.; \
405 else \
406 include_option=--include; \
407 empty_fix=; \
408 fi; \
409 list='$(SUBDIRS)'; for subdir in $$list; do \
410 if test "$$subdir" = .; then :; else \
411 test ! -f $$subdir/TAGS || \
412 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
413 fi; \
414 done; \
415 $(am__define_uniq_tagged_files); \
416 shift; \
417 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
418 test -n "$$unique" || unique=$$empty_fix; \
419 if test $$# -gt 0; then \
420 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
421 "$$@" $$unique; \
422 else \
423 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
424 $$unique; \
425 fi; \
426 fi
427 ctags: ctags-recursive
428
429 CTAGS: ctags
430 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
431 $(am__define_uniq_tagged_files); \
432 test -z "$(CTAGS_ARGS)$$unique" \
433 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
434 $$unique
435
436 GTAGS:
437 here=`$(am__cd) $(top_builddir) && pwd` \
438 && $(am__cd) $(top_srcdir) \
439 && gtags -i $(GTAGS_ARGS) "$$here"
440 cscope: cscope.files
441 test ! -s cscope.files \
442 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
443 clean-cscope:
444 -rm -f cscope.files
445 cscope.files: clean-cscope cscopelist
446 cscopelist: cscopelist-recursive
447
448 cscopelist-am: $(am__tagged_files)
449 list='$(am__tagged_files)'; \
450 case "$(srcdir)" in \
451 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
452 *) sdir=$(subdir)/$(srcdir) ;; \
453 esac; \
454 for i in $$list; do \
455 if test -f "$$i"; then \
456 echo "$(subdir)/$$i"; \
457 else \
458 echo "$$sdir/$$i"; \
459 fi; \
460 done >> $(top_builddir)/cscope.files
461
462 distclean-tags:
463 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
464 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
465
466 distdir: $(DISTFILES)
467 $(am__remove_distdir)
468 test -d "$(distdir)" || mkdir "$(distdir)"
469 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
470 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
471 list='$(DISTFILES)'; \
472 dist_files=`for file in $$list; do echo $$file; done | \
473 sed -e "s|^$$srcdirstrip/||;t" \
474 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
475 case $$dist_files in \
476 */*) $(MKDIR_P) `echo "$$dist_files" | \
477 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
478 sort -u` ;; \
479 esac; \
480 for file in $$dist_files; do \
481 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
482 if test -d $$d/$$file; then \
483 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
484 if test -d "$(distdir)/$$file"; then \
485 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
486 fi; \
487 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
488 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
489 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
490 fi; \
491 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
492 else \
493 test -f "$(distdir)/$$file" \
494 || cp -p $$d/$$file "$(distdir)/$$file" \
495 || exit 1; \
496 fi; \
497 done
498 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
499 if test "$$subdir" = .; then :; else \
500 $(am__make_dryrun) \
501 || test -d "$(distdir)/$$subdir" \
502 || $(MKDIR_P) "$(distdir)/$$subdir" \
503 || exit 1; \
504 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
505 $(am__relativize); \
506 new_distdir=$$reldir; \
507 dir1=$$subdir; dir2="$(top_distdir)"; \
508 $(am__relativize); \
509 new_top_distdir=$$reldir; \
510 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
511 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
512 ($(am__cd) $$subdir && \
513 $(MAKE) $(AM_MAKEFLAGS) \
514 top_distdir="$$new_top_distdir" \
515 distdir="$$new_distdir" \
516 am__remove_distdir=: \
517 am__skip_length_check=: \
518 am__skip_mode_fix=: \
519 distdir) \
520 || exit 1; \
521 fi; \
522 done
523 -test -n "$(am__skip_mode_fix)" \
524 || find "$(distdir)" -type d ! -perm -755 \
525 -exec chmod u+rwx,go+rx {} \; -o \
526 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
527 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
528 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
529 || chmod -R a+r "$(distdir)"
530 dist-gzip: distdir
531 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
532 $(am__post_remove_distdir)
533
534 dist-bzip2: distdir
535 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
536 $(am__post_remove_distdir)
537
538 dist-lzip: distdir
539 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
540 $(am__post_remove_distdir)
541
542 dist-xz: distdir
543 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
544 $(am__post_remove_distdir)
545
546 dist-tarZ: distdir
547 @echo WARNING: "Support for shar distribution archives is" \
548 "deprecated." >&2
549 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
550 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
551 $(am__post_remove_distdir)
552
553 dist-shar: distdir
554 @echo WARNING: "Support for distribution archives compressed with" \
555 "legacy program 'compress' is deprecated." >&2
556 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
557 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
558 $(am__post_remove_distdir)
559
560 dist-zip: distdir
561 -rm -f $(distdir).zip
562 zip -rq $(distdir).zip $(distdir)
563 $(am__post_remove_distdir)
564
565 dist dist-all:
566 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
567 $(am__post_remove_distdir)
568
569 # This target untars the dist file and tries a VPATH configuration. Then
570 # it guarantees that the distribution is self-contained by making another
571 # tarfile.
572 distcheck: dist
573 case '$(DIST_ARCHIVES)' in \
574 *.tar.gz*) \
575 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
576 *.tar.bz2*) \
577 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
578 *.tar.lz*) \
579 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
580 *.tar.xz*) \
581 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
582 *.tar.Z*) \
583 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
584 *.shar.gz*) \
585 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
586 *.zip*) \
587 unzip $(distdir).zip ;;\
588 esac
589 chmod -R a-w $(distdir)
590 chmod u+w $(distdir)
591 mkdir $(distdir)/_build $(distdir)/_inst
592 chmod a-w $(distdir)
593 test -d $(distdir)/_build || exit 0; \
594 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
595 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
596 && am__cwd=`pwd` \
597 && $(am__cd) $(distdir)/_build \
598 && ../configure \
599 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
600 $(DISTCHECK_CONFIGURE_FLAGS) \
601 --srcdir=.. --prefix="$$dc_install_base" \
602 && $(MAKE) $(AM_MAKEFLAGS) \
603 && $(MAKE) $(AM_MAKEFLAGS) dvi \
604 && $(MAKE) $(AM_MAKEFLAGS) check \
605 && $(MAKE) $(AM_MAKEFLAGS) install \
606 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
607 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
608 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
609 distuninstallcheck \
610 && chmod -R a-w "$$dc_install_base" \
611 && ({ \
612 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
613 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
614 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
615 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
616 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
617 } || { rm -rf "$$dc_destdir"; exit 1; }) \
618 && rm -rf "$$dc_destdir" \
619 && $(MAKE) $(AM_MAKEFLAGS) dist \
620 && rm -rf $(DIST_ARCHIVES) \
621 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
622 && cd "$$am__cwd" \
623 || exit 1
624 $(am__post_remove_distdir)
625 @(echo "$(distdir) archives ready for distribution: "; \
626 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
627 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
628 distuninstallcheck:
629 @test -n '$(distuninstallcheck_dir)' || { \
630 echo 'ERROR: trying to run $@ with an empty' \
631 '$$(distuninstallcheck_dir)' >&2; \
632 exit 1; \
633 }; \
634 $(am__cd) '$(distuninstallcheck_dir)' || { \
635 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
636 exit 1; \
637 }; \
638 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
639 || { echo "ERROR: files left after uninstall:" ; \
640 if test -n "$(DESTDIR)"; then \
641 echo " (check DESTDIR support)"; \
642 fi ; \
643 $(distuninstallcheck_listfiles) ; \
644 exit 1; } >&2
645 distcleancheck: distclean
646 @if test '$(srcdir)' = . ; then \
647 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
648 exit 1 ; \
649 fi
650 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
651 || { echo "ERROR: files left in build directory after distclean:" ; \
652 $(distcleancheck_listfiles) ; \
653 exit 1; } >&2
654 check-am: all-am
655 check: check-recursive
656 all-am: Makefile config.h
657 installdirs: installdirs-recursive
658 installdirs-am:
659 install: install-recursive
660 install-exec: install-exec-recursive
661 install-data: install-data-recursive
662 uninstall: uninstall-recursive
663
664 install-am: all-am
665 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
666
667 installcheck: installcheck-recursive
668 install-strip:
669 if test -z '$(STRIP)'; then \
670 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
671 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
672 install; \
673 else \
674 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
675 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
676 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
677 fi
678 mostlyclean-generic:
679
680 clean-generic:
681 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
682
683 distclean-generic:
684 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
685 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
686
687 maintainer-clean-generic:
688 @echo "This command is intended for maintainers to use"
689 @echo "it deletes files that may require special tools to rebuild."
690 clean: clean-recursive
691
692 clean-am: clean-generic mostlyclean-am
693
694 distclean: distclean-recursive
695 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
696 -rm -f Makefile
697 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
698
699 dvi: dvi-recursive
700
701 dvi-am:
702
703 html: html-recursive
704
705 html-am:
706
707 info: info-recursive
708
709 info-am:
710
711 install-data-am:
712
713 install-dvi: install-dvi-recursive
714
715 install-dvi-am:
716
717 install-exec-am:
718
719 install-html: install-html-recursive
720
721 install-html-am:
722
723 install-info: install-info-recursive
724
725 install-info-am:
726
727 install-man:
728
729 install-pdf: install-pdf-recursive
730
731 install-pdf-am:
732
733 install-ps: install-ps-recursive
734
735 install-ps-am:
736
737 installcheck-am:
738
739 maintainer-clean: maintainer-clean-recursive
740 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
741 -rm -rf $(top_srcdir)/autom4te.cache
742 -rm -f Makefile
743 maintainer-clean-am: distclean-am maintainer-clean-generic
744
745 mostlyclean: mostlyclean-recursive
746
747 mostlyclean-am: mostlyclean-generic
748
749 pdf: pdf-recursive
750
751 pdf-am:
752
753 ps: ps-recursive
754
755 ps-am:
756
757 uninstall-am:
758
759 .MAKE: $(am__recursive_targets) all install-am install-strip
760
761 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
762 am--refresh check check-am clean clean-cscope clean-generic \
763 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
764 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
765 distcheck distclean distclean-generic distclean-hdr \
766 distclean-tags distcleancheck distdir distuninstallcheck dvi \
767 dvi-am html html-am info info-am install install-am \
768 install-data install-data-am install-dvi install-dvi-am \
769 install-exec install-exec-am install-html install-html-am \
770 install-info install-info-am install-man install-pdf \
771 install-pdf-am install-ps install-ps-am install-strip \
772 installcheck installcheck-am installdirs installdirs-am \
773 maintainer-clean maintainer-clean-generic mostlyclean \
774 mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
775 uninstall-am
776
777
778 # Tell versions [3.59,3.63) of GNU make to not export all variables.
779 # Otherwise a system limit (for SysV at least) may be exceeded.
780 .NOEXPORT: